// Copyright 2021 Contributors to the Eclipse Foundation. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.
//
// SPDX-License-Identifier: BSD-3-Clause

/// Defines interfaces and types that follow the
/// [WoT Scripting API Specification][spec link].
///
/// [spec link]: https://www.w3.org/TR/wot-scripting-api/
library scripting_api;

export "scripting_api/consumed_thing.dart";
export "scripting_api/data_schema_value.dart";
export "scripting_api/discovery/discovery_method.dart";
export "scripting_api/discovery/thing_discovery.dart";
export "scripting_api/discovery/thing_filter.dart";
export "scripting_api/exposed_thing.dart";
export "scripting_api/interaction_input.dart";
export "scripting_api/interaction_output.dart";
export "scripting_api/subscription.dart";
export "scripting_api/types.dart";
export "scripting_api/wot.dart";
